tigase.jaxmpp.core.client.connector

## Interface AbstractBoshConnector.BoshPacketSendingHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    AbstractBoshConnector

      public static interface AbstractBoshConnector.BoshPacketSendingHandler
      extends EventHandler

  Implemented by handlers of BoshPacketSendingEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AbstractBoshConnector.BoshPacketSendingHandler.BoshPacketSendingEvent` Fired when BOSH packet is sending.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBoshPacketSending(SessionObject sessionObject, Element packet)` Called when BoshPacketSendingEvent is fired.

- - ### Method Detail

    - #### onBoshPacketSending

          void onBoshPacketSending(SessionObject sessionObject,
                                   Element packet)
                            throws JaxmppException

      Called when BoshPacketSendingEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
        `packet` - sending BOSH packet.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.